#include "form1.h"
#include <QApplication>
#include <QRect>
#include <QDesktopWidget>
#include <QMessageBox>

form1::form1(QWidget *parent) :     QWidget(parent){
    this->setFixedSize(971,514);
    this->setWindowTitle("Кто хочет стать миллионером ?");
    QRect desk(QApplication::desktop()->availableGeometry(QApplication::desktop()->screenNumber(this)));

#ifdef __ANDROID__
    this->setFixedSize(desk.width(),desk.height());
#else
    move((desk.width() - width()) / 2, (desk.height() - height()) / 2);
#endif
    QLabel *fon = new QLabel(this);

    fon->setPixmap(QPixmap(":images/background.jpg"));
    fon->show();
    fon->setFixedSize(this->width(),this->height());
    fon->setScaledContents(true);

    // Инициализация widget Меню
    menu = new wMenu(this);
    menu->show();

    // Инициализация widget Игра
    game = new wGame(this);
    game->hide();


    // Инизиализация звука
    initSound();

    // мои копирайты и дата
    initMyLogo();

    // Табло
    tablo = new wTablo(this);
    tablo->move(161,15);
    tablo->hide();

    // Играть стартовую мелодию
#ifndef __ANDROID__
    Mix_PlayMusic(sound_start,0);
#endif

    // подключение сигналов
    connect(menu,SIGNAL(clickStartGame()),this,SLOT(startGame()));
    connect(menu,SIGNAL(clickExitGame()),this,SLOT(close()));
    connect(menu,SIGNAL(clickSetupGame()),this,SLOT(SetupGame()));
    connect(menu,SIGNAL(clickAboutGame()),this,SLOT(AboutGame()));

    connect(game,SIGNAL(closeGames()),this,SLOT(closeGame()));


}


void form1::startGame(){
    tablo->hide();
#ifndef __ANDROID__
    Mix_HaltMusic();
#endif


    menu->hide();
    game->show();
    game->initGame();
}

void form1::closeGame(){
    menu->show();
    game->hide();

    // Играть стартовую мелодию
#ifndef __ANDROID__
    Mix_PlayMusic(sound_start,0);
#endif
}


void form1::initSound(){

#ifndef __ANDROID__
    QString gameDataPath;

    if (QFile("sounds/start.wav").exists()){
        gameDataPath = "";
    }else if (QFile("/usr/share/million/sounds/start.wav").exists()) {
        gameDataPath = "/usr/share/million/";
    }else{
        QMessageBox::critical(NULL,"Error","Unable to find game sound files");
        QApplication::exit();
    }

   sound_start = Mix_LoadMUS(gameDataPath.toUtf8() + "sounds/start.wav");
#endif



}

void form1::initMyLogo(){
    QFont font;
    QBrush brush;
    QPalette palette;

    font.setPixelSize(12);
    brush.setColor(QColor(255, 255, 255, 255));
    brush.setStyle(Qt::SolidPattern);
    palette.setBrush(QPalette::Active, QPalette::WindowText, brush);
    palette.setBrush(QPalette::Inactive, QPalette::WindowText, brush);

    QLabel *myCopy = new QLabel(this);
    myCopy->move(3,497);
    myCopy->setFont(font);
    myCopy->setPalette(palette);
    myCopy->setText("Copyright DanSoft. Все права защищены. Версия 1.0.2  (11.02.2015)");

}

void form1::SetupGame(){
    tablo->setText("Правила игры","Правила игры практически не отличаются от правил известного телешоу \"Кто хочет стать миллионером?\". \n Задается вопрос и выдается 4 варианта ответа, один из которых является верным. Отвечая на заданный вопрос, игрок зарабатывает определенную сумму денег, которая возрастает от вопроса к вопросу. ");
    tablo->show();
}


void form1::AboutGame(){    

    QString sql;
    QSqlQuery query(QSqlDatabase::database());


    sql="SELECT count(question) from question";
    query.exec(sql);
    query.first();

    tablo->setText("Об игре","Всего вопросов: "+query.value(0).toString());
    tablo->show();
}
