#include "wScore.h"

wScore::wScore(QWidget *parent) : QWidget(parent){
    QString strNum;

    this->setFixedSize(200,370);


    initPalette();


    nScore=1;


    money[1]="100";
    money[2]="200";
    money[3]="300";
    money[4]="500";
    money[5]="1000";
    money[6]="2000";
    money[7]="4000";
    money[8]="8000";
    money[9]="16000";
    money[10]="32000";
    money[11]="64000";
    money[12]="126000";
    money[13]="250000";
    money[14]="600000";
    money[15]="1000000";

    QFont font;
    font.setPixelSize(18);
    font.setBold(1);



    line = new QLabel(this);
    line->setPixmap(QPixmap(":images/score_line.png"));
    line->setFixedSize(250,24);


    for (int i=1;i<16;i++){
        n[i] = new QLabel(this);
        m[i] = new QLabel(this);
        s[i] = new QLabel(this);

        strNum.setNum(i,10);

        n[i]->setFixedSize(25,24);
        n[i]->setAlignment(Qt::AlignRight|Qt::AlignVCenter);
        n[i]->move(51,360-(i*24));
        n[i]->setText(strNum);
        n[i]->setFont(font);

        m[i]->setFixedSize(30,24);
        m[i]->move(76,360-(i*24));
        m[i]->setText(" ");
        m[i]->setAlignment(Qt::AlignHCenter|Qt::AlignBottom);
        m[i]->setFont(font);

        s[i]->setFixedSize(120,24);
        s[i]->move(106,360-(i*24));
        s[i]->setAlignment(Qt::AlignLeft|Qt::AlignVCenter);
        s[i]->setText(money[i]);
        s[i]->setFont(font);

    }

    setScore(1);
}


void wScore::initPalette(){
    QBrush brush;

    // нормальные строки
    brush.setColor(QColor(221, 163, 40, 255));
    brush.setStyle(Qt::SolidPattern);
    palette_normal.setBrush(QPalette::Active, QPalette::WindowText, brush);
    palette_normal.setBrush(QPalette::Inactive, QPalette::WindowText, brush);

    // белые строки
    brush.setColor(QColor(255, 255, 255, 255));
    brush.setStyle(Qt::SolidPattern);
    palette_white.setBrush(QPalette::Active, QPalette::WindowText, brush);
    palette_white.setBrush(QPalette::Inactive, QPalette::WindowText, brush);

    // черные строки
    brush.setColor(QColor(0, 0, 0, 255));
    brush.setStyle(Qt::SolidPattern);
    palette_black.setBrush(QPalette::Active, QPalette::WindowText, brush);
    palette_black.setBrush(QPalette::Inactive, QPalette::WindowText, brush);

}


void wScore::setScore(int score){

    nScore=score;

    for (int i=1;i<16;i++){

        QPalette palette=palette_normal;
        if (i==5 or i==10 or i==15) palette=palette_white;
        if (nScore==i) palette=palette_white;

        n[i]->setPalette(palette);
        m[i]->setPalette(palette);
        s[i]->setPalette(palette);

    }

    line->move(40,(360-(score*24))+1);

}
